-- -*- coding: raw-text -*-
-- rumilisp.lua (experimental) - this is part of an attempt to use
-- blogme3 to generate the htmls for several sites containing
-- e-scripts, each of them being able to refer to the other ones.
--
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 2007apr26
-- <http://angg.twu.net/blogme3/rumilisp.lua>
-- <http://angg.twu.net/blogme3/rumilisp.lua.html>
-- License: GPL.

-- See: (find-blogme3 "escripts.lua")
--      (find-blogme3 "elisp.lua")
--      (find-blogme3 "elisp.lua")
--      (find-blogme3 "angglisp.lua")
--      (find-blogme3file "elisp.lua" "code_c_d_local =")
--      (find-blogme3file "elisp.lua" "code_c_d_remote =")

--------[ Lots of hyperlinks (angg-specific) ]--------

angg = "http://angg.twu.net/"
mz   = "http://eduardo.mz.digirati.com.br/"
code_c_d_angg = function (c, d) code_c_d_remote(c, angg..d) end
code_c_d_mz   = function (c, d) code_c_d_remote(c, mz  ..d) end
code_c_d_rumi = function (c, d) code_c_d_local (c,       d) end

eevarticle = angg.."eev-article.html"

-- http://eduardo.mz.digirati.com.br/usr/doc/
-- http://eduardo.mz.digirati.com.br/usr/doc/ruby-manual/html/
code_c_d_remote("rubymanual",   mz.."usr/doc/ruby-manual/html/")

code_c_d_angg("angg",    "")
code_c_d_angg("es",      "e/")
code_c_d_angg("dednat4", "dednat4/")
code_c_d_angg("dn4",     "dednat4/")
code_c_d_angg("blogme",  "blogme/")
code_c_d_angg("blogme3", "blogme3/")
code_c_d_angg("eev",     "eev-current/")
code_c_d_angg("flua",    "flua/")

code_c_d_remote("wdgref", "http://www.htmlhelp.com/reference/")
code_c_d_remote("wdg40",  "http://www.htmlhelp.com/reference/html40/")
code_c_d_remote("wdgcss", "http://www.htmlhelp.com/reference/css/")
code_c_d_remote("luamanual", "http://www.lua.org/manual/5.1/manual.html")
code_c_d_remote("pil",       "http://www.lua.org/pil/")

set_EHELP("eev-bounded",     eevarticle.."#delimited-regions")
set_EHELP("eelatex-bounded", eevarticle.."#delimited-regions")
set_EHELP("find-sh",         eevarticle.."#dangerous-hyperlinks")
set_EHELP("find-sh0",        eevarticle.."#dangerous-hyperlinks")

-- Fix for a fossil "feature" of find-es.
_ESUFFIX["find-es"] = ".e.html"

-- Note that here "rumi" is the ony one that is local...
